apply plugin: RiskscapePluginProjectPlugin

riskscapePlugin {
  implementation = 'nz.org.riskscape.oq.OpenQuakePlugin'
  depends = ['hdf5']
}

dependencies {
  implementation project(':engine:app')
  implementation project(':plugin:hdf5')
  // needs hdf5marker
  testImplementation project(':plugin:hdf5').sourceSets.test.output
}



test {
  useJUnit {
    excludeCategories 'nz.org.riskscape.hdf5.H5TestMarker'
    if(System.getenv("OS")!=null) {
      excludeCategories 'nz.org.riskscape.test.SkipTestOnWindows'
    }
  }
  testLogging {
    showStandardStreams = true
  }
}


task(hdf5Test, type: Test, dependsOn: installDist) {

  outputs.upToDateWhen {
    // always run tests
    false
  }
  useJUnit {
    includeCategories 'nz.org.riskscape.hdf5.H5TestMarker'
  }
  testLogging {
      showStandardStreams = true
  }
}
